;
; AUX, CLI/SHELL login file
; 
; To support SD-AUX-HANDLER, AZ (AUX - Zmodem Transfer), & Password Program
; by Steve Drew (c) 1989.
;
Prompt "%S> "
rem:reqoff	; turn of any system requestors for this process
alias lo        execute rem:aux.login
alias e         rem:emacs
alias ed        rem:emacs
alias edit      rem:emacs
alias emacs     rem:emacs
alias sedt      rem:emacs

; The AZ, Zmodem program which uses XPRZmodem.library, only works with
; the sd-aux-handler.
; Type az <ret> for help with AZ.
;
alias rz        rem:az receive -l []
alias rz_resume rem:az receive -OR -l []
alias sz        rem:az send -l []

; password exits with 60 if ENDCLI received (via ECHO >AUX:ENDCLI command
; that can be sent via another process.) This feature only works with
; sd-aux-handler, and not the commodore 1.3 AUX: handler.

;
; The usage for the Password program is 'password pw' where pw is the
; password to use.
; So change the 'pw' below to be your selected password
;
Failat 100
rem:password pw
if FAIL
  ENDCLI		; password returned <60, so aux: told us to quit
endif

Echo "Remote Connection Established at " NOLINE
Date
Echo ""
;
;  End of required login for AUX
;  
